List scan contexts
curl --request GET \
--url https://attend.hackclub.com/api/v1/events/{event_id}/scan_contexts \
--header 'Authorization: Bearer <token>'import requests
url = "https://attend.hackclub.com/api/v1/events/{event_id}/scan_contexts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://attend.hackclub.com/api/v1/events/{event_id}/scan_contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scan_contexts": [
{
"id": 4,
"name": "Check-in",
"checks_in": true,
"is_travel_pickup": true,
"is_airport": true,
"position": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Scan Contexts
List scan contexts
GET
/
events
/
{event_id}
/
scan_contexts
List scan contexts
Authorizations
Mobile token, global API token, series API key, or event API key. See Authentication above for which endpoints each one reaches.
Path Parameters
Event id.
Response
Scan contexts for the event.
Show child attributes
Show child attributes
Was this page helpful?